APIReference
Изменить политики вычислений и ресурсов
Авторизация
apiToken АвторизацияBearer <token>
StackMoreLayers API token. Send as
Authorization: Bearer sml_pat_live_<prefix>.<secret>.
In: header
Параметры пути
competition_id*integer
Numeric competition identifier.
Range
1 <= valueЗаголовки
Idempotency-Key?string
Opaque client-generated key. A retry with the same key and body returns the original result instead of repeating the effect.
Match
^[!-~]+$Length
8 <= length <= 128Тело запроса
application/json
Типы TypeScript
Use the request body type in TypeScript.
Partial Host Studio policy update.
Properties
1 <= propertiesОтвет
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/competitions/1/policies/" \ -H "Content-Type: application/json" \ -d '{}'{ "competition": { "default_notebook_policy": {}, "gpu_budget": {} }, "phases": [ { "phase_id": 0, "phase_title": "string", "notebook_policy": {} } ]}